## openvdb 0.102.0

=== Makefile ===
# Copyright (c) 2012 DreamWorks Animation LLC
#
# All rights reserved. This software is distributed under the
# Mozilla Public License 2.0 ( http://www.mozilla.org/MPL/2.0/ )
#
# Redistributions of source code must retain the above copyright
# and license notice and the following restrictions and disclaimer.
#
# *     Neither the name of DreamWorks Animation nor the names of
# its contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# IN NO EVENT SHALL THE COPYRIGHT HOLDERS' AND CONTRIBUTORS' AGGREGATE
# LIABILITY FOR ALL CLAIMS REGARDLESS OF THEIR BASIS EXCEED US$250.00.
#
# Makefile for the OpenVDB library

# See INSTALL for a list of requirements.
#
# Targets:
#   lib                 the OpenVDB library
#
#   doc                 HTML documentation (doc/html/index.html)
#   pdfdoc              PDF documentation (doc/latex/refman.pdf;
#                       requires LaTeX and ghostscript)
#   vdb_print           command-line tool to inspect OpenVDB files
#   vdb_view            command-line tool to view OpenVDB files
#   vdb_test            unit tests for the OpenVDB library
#
#   all                 [default target] all of the above
#   install             install all of the above except vdb_test
#                       into subdirectories of INSTALL_DIR
#   depend              recompute source file header dependencies
#   clean               delete generated files from the local directory
#   test                run tests
#
# Options:             
#   shared=no           link executables against static OpenVDB libraries
#                       (default: link against shared libraries)
#   debug=yes           build with debugging symbols and without optimization
#   verbose=yes         run commands (e.g., doxygen) in verbose mode


#
# The following variables must be defined, either here or on the command line
# (e.g., "make install INSTALL_DIR=/usr/local"):
#
# Note that if you plan to build the Houdini OpenVDB tools (distributed
# separately), you must build the OpenVDB library and the Houdini tools
# against compatible versions of the Boost, OpenEXR and TBB libraries.
# Fortunately, all three are included in the Houdini HDK, so the relevant
# variables below point by default to the HDK library and header directories:
# $(HDSO) and $(HT)/include, respectively.  (Source the houdini_setup script
# to set those two environment variables.)
#

# The directory into which to install libraries, executables and header files
INSTALL_DIR := /tmp/OpenVDB

# The parent directory of the boost/ header directory
BOOST_INCL_DIR := $(HT)/include

# The parent directory of the OpenEXR/ header directory (which contains half.h)
HALF_INCL_DIR := $(HT)/include
# The directory containing libHalf
HALF_LIB_DIR := $(HDSO)
HALF_LIB := -lHalf

# The parent directory of the tbb/ header directory
TBB_INCL_DIR := $(HT)/include
# The directory containing libtbb
TBB_LIB_DIR := $(HDSO)
TBB_LIB := -ltbb

# The parent directory of the cppunit/ header directory
# (leave blank if CppUnit is unavailable)
CPPUNIT_INCL_DIR := /rel/map/generic-2011.15/sys_include
# The directory containing libcppunit
CPPUNIT_LIB_DIR := /rel/depot/third_party_build/cppunit/1.10.2-7/opt-ws5-x86_64-gccWS5_64/lib/
CPPUNIT_LIB := -lcppunit

# The directory containing glfw.h
# (leave blank if GLFW is unavailable)
GLFW_INCL_DIR := /usr/local/include/GL
# The directory containing libglfw
GLFW_LIB_DIR := /usr/local/lib
GLFW_LIB := -lglfw

# The Doxygen executable
# (leave blank if Doxygen is unavailable)
DOXYGEN := doxygen


#
# Ideally, users shouldn't need to change anything below this line.
#

SHELL = /bin/bash

PWD ?= $(abspath .)

# Turn off implicit rules for speed.
.SUFFIXES:

# Determine the platform.
ifeq ("$(OS)","Windows_NT")
    WINDOWS_NT := 1
else
    UNAME_S := $(shell uname -s)
    ifeq ("$(UNAME_S)","Linux")
        LINUX := 1
    else
        ifeq ("$(UNAME_S)","Darwin")
            MBSD := 1
        endif
    endif
endif

ifeq (yes,$(strip $(debug)))
    OPTIMIZE := -g
else
    OPTIMIZE := -O3 -DNDEBUG
endif

ifeq (yes,$(strip $(verbose)))
    QUIET :=
else
    QUIET := > /dev/null
endif

INCLDIRS := -I . -I .. -I $(BOOST_INCL_DIR) -I $(HALF_INCL_DIR) -I $(TBB_INCL_DIR)

CXXFLAGS += -pthread $(OPTIMIZE) $(INCLDIRS)

LIBS := \
    -ldl -lm -lz \
    -L $(HALF_LIB_DIR) $(HALF_LIB) \
    -L $(TBB_LIB_DIR) $(TBB_LIB) \
#
LIBS_RPATH := \
    -ldl -lm -lz \
    -Wl,-rpath,$(HALF_LIB_DIR) -L $(HALF_LIB_DIR) $(HALF_LIB) \
    -Wl,-rpath,$(TBB_LIB_DIR) -L $(TBB_LIB_DIR) $(TBB_LIB) \
#
ifdef LINUX
  LIBS += -lrt
  LIBS_RPATH += -lrt
endif

INCLUDE_NAMES := \
    Exceptions.h \
    Grid.h \
    io/Archive.h \
    io/Compression.h \
    io/File.h \
    io/GridDescriptor.h \
    io/Stream.h \
    math/BBox.h \
    math/Coord.h \
    math/FiniteDifference.h \
    math/Frustum.h \
    math/Hermite.h \
    math/Maps.h \
    math/Mat.h \
    math/Mat3.h \
    math/Mat4.h \
    math/Math.h \
    math/Operators.h \
    math/Plane.h \
    math/Proximity.h \
    math/QuantizedUnitVec.h \
    math/Quat.h \
    math/Ray.h \
    math/Stencils.h \
    math/Transform.h\
    math/Tuple.h\
    math/Vec2.h \
    math/Vec3.h \
    math/Vec4.h \
    Metadata.h \
    metadata/Metadata.h \
    metadata/MetaMap.h \
    metadata/StringMetadata.h \
    openvdb.h \
    Platform.h \
    tools/Composite.h \
    tools/Cpt.h \
    tools/Curl.h \
    tools/Divergence.h \
    tools/Filter.h \
    tools/Gradient.h \
    tools/GridSampling.h \
    tools/GridTransformer.h \
    tools/Laplacian.h \
    tools/LevelSetAdvect.h \
    tools/LevelSetFilter.h \
    tools/LevelSetMesher.h \
    tools/LevelSetSphere.h \
    tools/LevelSetTracker.h \
    tools/LevelSetUtil.h \
    tools/LinearInterp.h \
    tools/Magnitude.h \
    tools/MeanCurvature.h \
    tools/MeshToVolume.h \
    tools/Morphology.h \
    tools/Normalize.h \
    tools/ParticlesToLevelSet.h \
    tools/PointAdvect.h \
    tools/PointScatter.h \
    tools/QuadraticInterp.h \
    tools/SpaceSampling.h \
    tools/ValueTransformer.h \
    tree/InternalNode.h \
    tree/Iterator.h \
    tree/LeafArray.h \
    tree/LeafManager.h \
    tree/LeafNode.h \
    tree/LeafNodeBool.h \
    tree/NodeUnion.h \
    tree/RootNode.h \
    tree/Tree.h \
    tree/TreeIterator.h \
    tree/Util.h \
    tree/ValueAccessor.h \
    Types.h \
    util/Formats.h \
    util/logging.h \
    util/MapsUtil.h \
    util/Name.h \
    util/NodeMasks.h \
    util/NullInterrupter.h \
    util/Util.h \
    version.h \
#

SRC_NAMES := \
    Grid.cc \
    io/Archive.cc \
    io/Compression.cc \
    io/File.cc \
    io/GridDescriptor.cc \
    io/Stream.cc \
    math/Hermite.cc \
    math/Maps.cc \
    math/Proximity.cc \
    math/QuantizedUnitVec.cc \
    math/Transform.cc \
    metadata/Metadata.cc \
    metadata/MetaMap.cc \
    Platform.cc \
    util/Formats.cc \
    util/Util.cc \
#

UNITTEST_INCLUDE_NAMES := \
    unittest/util.h \
#

UNITTEST_SRC_NAMES := \
    unittest/main.cc \
    unittest/TestBBox.cc \
    unittest/TestCoord.cc \
    unittest/TestCpt.cc \
    unittest/TestCurl.cc \
    unittest/TestDivergence.cc \
    unittest/TestDoubleMetadata.cc \
    unittest/TestExceptions.cc \
    unittest/TestFile.cc \
    unittest/TestFloatMetadata.cc \
    unittest/TestFrustum.cc \
    unittest/TestGradient.cc \
    unittest/TestGrid.cc \
    unittest/TestGridBbox.cc \
    unittest/TestGridDescriptor.cc \
    unittest/TestGridIO.cc \
    unittest/TestGridTransformer.cc \
    unittest/TestHermite.cc \
    unittest/TestInit.cc \
    unittest/TestInt32Metadata.cc \
    unittest/TestInt64Metadata.cc \
    unittest/TestInternalOrigin.cc \
    unittest/TestLaplacian.cc \
    unittest/TestLeaf.cc \
    unittest/TestLeafBool.cc \
    unittest/TestLeafIO.cc \
    unittest/TestLeafOrigin.cc \
    unittest/TestLevelSetMesher.cc \
    unittest/TestLevelSetUtil.cc \
    unittest/TestLinearInterp.cc \
    unittest/TestMaps.cc \
    unittest/TestMeanCurvature.cc \
    unittest/TestMeshToVolume.cc \
    unittest/TestMetadata.cc \
    unittest/TestMetadataIO.cc \
    unittest/TestMetaMap.cc \
    unittest/TestName.cc \
    unittest/TestNodeIterator.cc \
    unittest/TestParticlesToLevelSet.cc \
    unittest/TestPlane.cc \
    unittest/TestQuadraticInterp.cc \
    unittest/TestQuantizedUnitVec.cc \
    unittest/TestRay.cc \
    unittest/TestStream.cc \
    unittest/TestStringMetadata.cc \
    unittest/TestTools.cc \
    unittest/TestTransform.cc \
    unittest/TestTree.cc \
    unittest/TestTreeCombine.cc \
    unittest/TestTreeGetSetValues.cc \
    unittest/TestTreeIterators.cc \
    unittest/TestTreeVisitor.cc \
    unittest/TestValueAccessor.cc \
    unittest/TestVec2Metadata.cc \
    unittest/TestVec3Metadata.cc \
#

DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt
DOC_INDEX := doc/html/index.html
DOC_PDF := doc/latex/refman.pdf

VIEWER_INCLUDE_NAMES := \
    cmd/openvdb_view/MCTable.h \
    cmd/openvdb_view/RenderModules.h \
    cmd/openvdb_view/Viewer.h \
#

VIEWER_SRC_NAMES := \
    cmd/openvdb_view/main.cc \
    cmd/openvdb_view/MCTable.cc \
    cmd/openvdb_view/RenderModules.cc \
    cmd/openvdb_view/Viewer.cc \
#

CMD_INCLUDE_NAMES := \
    $(VIEWER_INCLUDE_NAMES) \
#

CMD_SRC_NAMES := \
    cmd/openvdb_print/main.cc \
    $(VIEWER_SRC_NAMES) \
#

HEADER_SUBDIRS := $(dir $(INCLUDE_NAMES))

ALL_INCLUDE_FILES := \
    $(INCLUDE_NAMES) \
    $(UNITTEST_INCLUDE_NAMES) \
    $(CMD_INCLUDE_NAMES) \
#
SRC_FILES := \
    $(SRC_NAMES) \
    $(UNITTEST_SRC_NAMES) \
    $(CMD_SRC_NAMES) \
#
ALL_SRC_FILES := $(SRC_FILES)

OBJ_NAMES := $(SRC_NAMES:.cc=.o)
UNITTEST_OBJ_NAMES := $(UNITTEST_SRC_NAMES:.cc=.o)
VIEWER_OBJ_NAMES := $(VIEWER_SRC_NAMES:.cc=.o)

LIB_MAJOR_VERSION=$(shell grep 'OPENVDB_LIBRARY_MAJOR_VERSION = ' \
    version.h | sed 's/[^0-9]*//g')
LIB_MINOR_VERSION=$(shell grep 'OPENVDB_LIBRARY_MINOR_VERSION = ' \
    version.h | sed 's/[^0-9]*//g')
LIB_PATCH_VERSION=$(shell grep 'OPENVDB_LIBRARY_PATCH_VERSION = ' \
    version.h | sed 's/[^0-9]*//g')

LIB_VERSION=$(LIB_MINOR_VERSION).$(LIB_PATCH_VERSION)

LIBOPENVDB_NAME=libopenvdb
LIBOPENVDB_STATIC := $(LIBOPENVDB_NAME).a
LIBOPENVDB_SHARED := $(LIBOPENVDB_NAME).so.$(LIB_VERSION)

ifeq (no,$(strip $(shared)))
    LIBOPENVDB := $(LIBOPENVDB_STATIC)
else
    LIBOPENVDB := $(LIBOPENVDB_SHARED)

    # For debugging, pass "rpath=yes" to encode the path to libopenvdb.so
    # into commands.  With "rpath=no" (the default setting), the directory
    # containing libopenvdb.so will need to be added
    # to LD_LIBRARY_PATH.
    ifeq (yes,$(strip $(rpath)))
        LIBOPENVDB_RPATH := -Wl,-rpath,$(PWD)
    else
        LIBOPENVDB_RPATH :=
    endif # rpath
endif # shared

DEPEND := dependencies

# Get the list of dependencies that are newer than the current target,
# but limit the list to at most three entries.
list_deps = $(if $(wordlist 4,5,$(?F)),$(firstword $(?F)) and others,$(wordlist 1,3,$(?F)))

ALL_TARGETS := \
    $(LIBOPENVDB) \
    vdb_test \
    vdb_print \
    vdb_view \
    $(DEPEND) \
    $(LIBOPENVDB_NAME).so \
#

.SUFFIXES: .o .cc

.PHONY: all clean depend doc install lib pdfdoc test

.cc.o:

=== debian/changelog ===
openvdb (0.102.0-1) unstable; urgency=low

  * New upstream. Toward OpenVDB 1.0
  * Refresh patches
  * Update related to the copy-on-write changes.
  * Update Std-Vers to 3.9.4, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Dec 2012 21:36:13 +0000

openvdb (0.99.0-2) unstable; urgency=low

  * Remove patch level from source code. Closes: #695665
  * Fix compilation on powerpc/x86. Closes: #695689
  * Execute the test suite in verbose mode

 -- Mathieu Malaterre <malat@debian.org>  Wed, 12 Dec 2012 12:30:03 +0100

openvdb (0.99.0-1) unstable; urgency=low

  * Initial upload to Debian.  Closes: #689694

 -- Mathieu Malaterre <malat@debian.org>  Wed, 05 Dec 2012 13:16:06 +0100

=== debian/control ===
Source: openvdb
Section: libs
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-all-dev, libcppunit-dev, libglfw-dev
Build-Depends-Indep: doxygen-latex
Homepage: http://openvdb.org
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/openvdb/trunk
Standards-Version: 3.9.4

Package: libopenvdb0.102
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Sparse Volume Processing toolkit - lib
 OpenVDB is an open source C++ library comprising a novel hierarchical data
 structure and a suite of tools for the efficient storage and manipulation of
 sparse volumetric data discretized on three-dimensional grids. It is developed
 and maintained by DreamWorks Animation for use in volumetric applications
 typically encountered in feature film production.
 .
 This package contains the libraries needed to run OpenVDB applications

Package: libopenvdb-dev
Architecture: any
Section: libdevel
Depends: libopenvdb0.102 (= ${binary:Version}), ${misc:Depends}
Description: Sparse Volume Processing toolkit - dev
 OpenVDB is an open source C++ library comprising a novel hierarchical data
 structure and a suite of tools for the efficient storage and manipulation of
 sparse volumetric data discretized on three-dimensional grids. It is developed
 and maintained by DreamWorks Animation for use in volumetric applications
 typically encountered in feature film production.
 .
 This is the package for developping OpenVDB applications

Package: libopenvdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Sparse Volume Processing toolkit - doc
 OpenVDB is an open source C++ library comprising a novel hierarchical data
 structure and a suite of tools for the efficient storage and manipulation of
 sparse volumetric data discretized on three-dimensional grids. It is developed
 and maintained by DreamWorks Animation for use in volumetric applications
 typically encountered in feature film production.
 .
 This is the package for the doc files for OpenVDB

Package: libopenvdb-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sparse Volume Processing toolkit - runtime
 OpenVDB is an open source C++ library comprising a novel hierarchical data
 structure and a suite of tools for the efficient storage and manipulation of
 sparse volumetric data discretized on three-dimensional grids. It is developed
 and maintained by DreamWorks Animation for use in volumetric applications
 typically encountered in feature film production.
 .
 This is the package for the runtime. It installs vdb_print and vdb_view

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
VER_SONAME = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f1-2 -d.)

#
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = DOXYGEN=
else
  BUILDDOC =
endif

ALLOPTS = $(BUILDDOC) HT=/usr HDSO=/usr/lib \
					CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib \
					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib \
					LIBS_RPATH='-ldl -lm -lz -lHalf -ltbb' \
					verbose=yes debug=yes

%:
	dh $@ --parallel

MPL: LICENSE
	cp -f $< $@

override_dh_auto_build-arch:
	ln -f -s . openvdb
	dh_auto_build -- $(ALLOPTS)

override_dh_auto_build-indep:
	$(MAKE) doc

# No tests needed for docs
override_dh_auto_test-indep:

# do not run make install
override_dh_auto_install:
	dh_auto_install -- $(ALLOPTS) INSTALL_DIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr INSTALL_LIB_DIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	rm openvdb

pkg_run = libopenvdb-tools
pkg_lib = libopenvdb$(VER_SONAME)
pkg_dev = libopenvdb-dev
pkg_doc = libopenvdb-doc

override_dh_install:
	dh_install -p$(pkg_run) debian/tmp/usr/bin
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so.$(VER_SONAME)
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so.$(VER_FULL)
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so
	dh_install -p$(pkg_dev) debian/tmp/usr/include
	dh_install -p$(pkg_doc) debian/tmp/usr/share/doc

override_dh_installdocs: MPL
	dh_installdocs -A $^

debian/vdb_print.1: debian/vdb_print.1.in
	help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info --no-discard-stderr vdb_print

debian/vdb_view.1: debian/vdb_view.1.in
	help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info --no-discard-stderr vdb_view

#override_dh_shlibdeps:
#override_dh_installchangelogs:
#	dh_installchangelogs CHANGES
#debian/CHANGES:
#	links -dump http://www.openvdb.org/documentation/changes.html | tail -n +7 > $@

get-orig-source:
	uscan --verbose --force-download --rename

## openvdb 0.104.0

=== Makefile ===
--- 
+++ 
@@ -145,13 +145,13 @@
 
 LIBS := \
     -ldl -lm -lz \
-    -L $(HALF_LIB_DIR) $(HALF_LIB) \
-    -L $(TBB_LIB_DIR) $(TBB_LIB) \
+    -L$(HALF_LIB_DIR) $(HALF_LIB) \
+    -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
 LIBS_RPATH := \
     -ldl -lm -lz \
-    -Wl,-rpath,$(HALF_LIB_DIR) -L $(HALF_LIB_DIR) $(HALF_LIB) \
-    -Wl,-rpath,$(TBB_LIB_DIR) -L $(TBB_LIB_DIR) $(TBB_LIB) \
+    -Wl,-rpath,$(HALF_LIB_DIR) -L$(HALF_LIB_DIR) $(HALF_LIB) \
+    -Wl,-rpath,$(TBB_LIB_DIR) -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
 ifdef LINUX
   LIBS += -lrt
@@ -200,12 +200,14 @@
     tools/Divergence.h \
     tools/Filter.h \
     tools/Gradient.h \
+    tools/GridOperators.h \
     tools/GridSampling.h \
     tools/GridTransformer.h \
+    tools/Interpolation.h \
     tools/Laplacian.h \
     tools/LevelSetAdvect.h \
     tools/LevelSetFilter.h \
-    tools/LevelSetMesher.h \
+    tools/LevelSetRebuild.h \
     tools/LevelSetSphere.h \
     tools/LevelSetTracker.h \
     tools/LevelSetUtil.h \
@@ -219,8 +221,8 @@
     tools/PointAdvect.h \
     tools/PointScatter.h \
     tools/QuadraticInterp.h \
-    tools/SpaceSampling.h \
     tools/ValueTransformer.h \
+    tools/VolumeToMesh.h \
     tree/InternalNode.h \
     tree/Iterator.h \
     tree/LeafArray.h \
@@ -278,7 +280,6 @@
     unittest/TestExceptions.cc \
     unittest/TestFile.cc \
     unittest/TestFloatMetadata.cc \
-    unittest/TestFrustum.cc \
     unittest/TestGradient.cc \
     unittest/TestGrid.cc \
     unittest/TestGridBbox.cc \
@@ -295,10 +296,10 @@
     unittest/TestLeafBool.cc \
     unittest/TestLeafIO.cc \
     unittest/TestLeafOrigin.cc \
-    unittest/TestLevelSetMesher.cc \
     unittest/TestLevelSetUtil.cc \
     unittest/TestLinearInterp.cc \
     unittest/TestMaps.cc \
+    unittest/TestMat4Metadata.cc \
     unittest/TestMeanCurvature.cc \
     unittest/TestMeshToVolume.cc \
     unittest/TestMetadata.cc \
@@ -307,10 +308,10 @@
     unittest/TestName.cc \
     unittest/TestNodeIterator.cc \
     unittest/TestParticlesToLevelSet.cc \
-    unittest/TestPlane.cc \
+    unittest/TestPrePostAPI.cc \
     unittest/TestQuadraticInterp.cc \
     unittest/TestQuantizedUnitVec.cc \
-    unittest/TestRay.cc \
+    unittest/TestQuat.cc \
     unittest/TestStream.cc \
     unittest/TestStringMetadata.cc \
     unittest/TestTools.cc \
@@ -323,6 +324,7 @@
     unittest/TestValueAccessor.cc \
     unittest/TestVec2Metadata.cc \
     unittest/TestVec3Metadata.cc \
+    unittest/TestVolumeToMesh.cc \
 #
 
 DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt
@@ -415,6 +417,3 @@
 
 .SUFFIXES: .o .cc
 
-.PHONY: all clean depend doc install lib pdfdoc test
-
-.cc.o:

=== debian/changelog ===
openvdb (0.104.0-1) unstable; urgency=low

  * New upstream
  * Remove patch applied upstream:
    - d/p/fix32bitscomp.patch
  * Use LDFLAGS to fix lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Feb 2013 11:23:08 +0100

openvdb (0.103.1-1) unstable; urgency=low

  * New upstream
  * Refreshed patch:
    - debian/patches/fixversionnamesrc.patch

 -- Mathieu Malaterre <malat@debian.org>  Sat, 16 Feb 2013 10:45:00 +0100

openvdb (0.103.0-1) unstable; urgency=low

  * New upstream
  * Prefer SVG output in doxygen over heavy PNGs
    - debian/patches/use_svg.patch
  * Simplify doxygen B-D-I

 -- Mathieu Malaterre <malat@debian.org>  Mon, 14 Jan 2013 12:52:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-all-dev, libcppunit-dev, libglfw-dev
-Build-Depends-Indep: doxygen-latex
+Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev
+Build-Depends-Indep: doxygen, graphviz
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/openvdb/trunk
 Standards-Version: 3.9.4
 
-Package: libopenvdb0.102
+Package: libopenvdb0.104
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,7 +25,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb0.102 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenvdb0.104 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 ALLOPTS = $(BUILDDOC) HT=/usr HDSO=/usr/lib \
 					CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib \
 					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib \
-					LIBS_RPATH='-ldl -lm -lz -lHalf -ltbb' \
+					LIBS_RPATH='$(LDFLAGS) -ldl -lm -lz -lHalf -ltbb' \
 					verbose=yes debug=yes
 
 %:
@@ -29,8 +29,11 @@
 	cp -f $< $@
 
 override_dh_auto_build-arch:
-	ln -f -s . openvdb
+	test -h openvdb||ln -f -s . openvdb
 	dh_auto_build -- $(ALLOPTS)
+
+# No tests for now (too long to run):
+override_dh_auto_test-arch:
 
 override_dh_auto_build-indep:
 	$(MAKE) doc

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
http://www.openvdb.org/download/index.html \
./openvdb_([\d_]+)_library\.tgz

## openvdb 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2012 DreamWorks Animation LLC
+# Copyright (c) 2012-2013 DreamWorks Animation LLC
 #
 # All rights reserved. This software is distributed under the
 # Mozilla Public License 2.0 ( http://www.mozilla.org/MPL/2.0/ )
@@ -45,7 +45,7 @@
 #   clean               delete generated files from the local directory
 #   test                run tests
 #
-# Options:             
+# Options:
 #   shared=no           link executables against static OpenVDB libraries
 #                       (default: link against shared libraries)
 #   debug=yes           build with debugging symbols and without optimization
@@ -92,9 +92,9 @@
 
 # The directory containing glfw.h
 # (leave blank if GLFW is unavailable)
-GLFW_INCL_DIR := /usr/local/include/GL
+GLFW_INCL_DIR := /rel/third_party/glfw/glfw-2.7.4/include
 # The directory containing libglfw
-GLFW_LIB_DIR := /usr/local/lib
+GLFW_LIB_DIR := /rel/third_party/glfw/glfw-2.7.4/lib/x11
 GLFW_LIB := -lglfw
 
 # The Doxygen executable
@@ -169,19 +169,17 @@
     math/BBox.h \
     math/Coord.h \
     math/FiniteDifference.h \
-    math/Frustum.h \
     math/Hermite.h \
+    math/LegacyFrustum.h \
     math/Maps.h \
     math/Mat.h \
     math/Mat3.h \
     math/Mat4.h \
     math/Math.h \
     math/Operators.h \
-    math/Plane.h \
     math/Proximity.h \
     math/QuantizedUnitVec.h \
     math/Quat.h \
-    math/Ray.h \
     math/Stencils.h \
     math/Transform.h\
     math/Tuple.h\
@@ -194,38 +192,28 @@
     metadata/StringMetadata.h \
     openvdb.h \
     Platform.h \
+    PlatformConfig.h \
     tools/Composite.h \
-    tools/Cpt.h \
-    tools/Curl.h \
-    tools/Divergence.h \
     tools/Filter.h \
-    tools/Gradient.h \
     tools/GridOperators.h \
-    tools/GridSampling.h \
     tools/GridTransformer.h \
     tools/Interpolation.h \
-    tools/Laplacian.h \
     tools/LevelSetAdvect.h \
     tools/LevelSetFilter.h \
+    tools/LevelSetFracture.h \
     tools/LevelSetRebuild.h \
     tools/LevelSetSphere.h \
     tools/LevelSetTracker.h \
     tools/LevelSetUtil.h \
-    tools/LinearInterp.h \
-    tools/Magnitude.h \
-    tools/MeanCurvature.h \
     tools/MeshToVolume.h \
     tools/Morphology.h \
-    tools/Normalize.h \
     tools/ParticlesToLevelSet.h \
     tools/PointAdvect.h \
     tools/PointScatter.h \
-    tools/QuadraticInterp.h \
     tools/ValueTransformer.h \
     tools/VolumeToMesh.h \
     tree/InternalNode.h \
     tree/Iterator.h \
-    tree/LeafArray.h \
     tree/LeafManager.h \
     tree/LeafNode.h \
     tree/LeafNodeBool.h \
@@ -307,6 +295,7 @@
     unittest/TestMetaMap.cc \
     unittest/TestName.cc \
     unittest/TestNodeIterator.cc \
+    unittest/TestNodeMask.cc \
     unittest/TestParticlesToLevelSet.cc \
     unittest/TestPrePostAPI.cc \
     unittest/TestQuadraticInterp.cc \
@@ -327,19 +316,17 @@
     unittest/TestVolumeToMesh.cc \
 #
 
-DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt
+DOC_FILES := doc/doc.txt doc/faq.txt doc/changes.txt doc/examplecode.txt doc/api_0_98_0.txt doc/math.txt
 DOC_INDEX := doc/html/index.html
 DOC_PDF := doc/latex/refman.pdf
 
 VIEWER_INCLUDE_NAMES := \
-    cmd/openvdb_view/MCTable.h \
     cmd/openvdb_view/RenderModules.h \
     cmd/openvdb_view/Viewer.h \
 #
 
 VIEWER_SRC_NAMES := \
     cmd/openvdb_view/main.cc \
-    cmd/openvdb_view/MCTable.cc \
     cmd/openvdb_view/RenderModules.cc \
     cmd/openvdb_view/Viewer.cc \
 #
@@ -417,3 +404,13 @@
 
 .SUFFIXES: .o .cc
 
+.PHONY: all clean depend doc install lib pdfdoc test
+
+.cc.o:
+	@echo "Building $@ because of $(call list_deps)"
+	$(CXX) -c $(CXXFLAGS) -fPIC -o $@ $<
+
+all: lib vdb_print vdb_test depend
+
+$(OBJ_NAMES): %.o: %.cc
+	@echo "Building $@ because of $(call list_deps)"

=== debian/changelog ===
openvdb (1.1.0-1) unstable; urgency=low

  * 1.1.0 release
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 10 Apr 2013 10:44:23 +0200

openvdb (1.0.0-1) unstable; urgency=low

  * 1.0 release, stable API
  * Upstream now ships source code as zip
  * Refresh patches
  * Use doxygen-latex package since latex is required for formulas

 -- Mathieu Malaterre <malat@debian.org>  Mon, 18 Mar 2013 13:11:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev
-Build-Depends-Indep: doxygen, graphviz
+Build-Depends-Indep: doxygen-latex, graphviz
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/openvdb/trunk
 Standards-Version: 3.9.4
 
-Package: libopenvdb0.104
+Package: libopenvdb1.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,7 +25,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb0.104 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenvdb1.1 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of

=== debian/rules ===
--- 
+++ 
@@ -75,4 +75,4 @@
 #	links -dump http://www.openvdb.org/documentation/changes.html | tail -n +7 > $@
 
 get-orig-source:
-	uscan --verbose --force-download --rename
+	uscan --verbose --force-download --rename --repack

## openvdb 1.1.1

=== Makefile ===
--- 
+++ 
@@ -83,6 +83,14 @@
 TBB_LIB_DIR := $(HDSO)
 TBB_LIB := -ltbb
 
+# A scalable, concurrent malloc replacement library
+# such as jemalloc (included in the Houdini HDK) or TBB malloc
+# (leave blank if unavailable)
+CONCURRENT_MALLOC_LIB := -ljemalloc
+#CONCURRENT_MALLOC_LIB := -ltbbmalloc_proxy -ltbbmalloc
+# The directory containing the malloc replacement library
+CONCURRENT_MALLOC_LIB_DIR := $(HDSO)
+
 # The parent directory of the cppunit/ header directory
 # (leave blank if CppUnit is unavailable)
 CPPUNIT_INCL_DIR := /rel/map/generic-2011.15/sys_include
@@ -92,9 +100,9 @@
 
 # The directory containing glfw.h
 # (leave blank if GLFW is unavailable)
-GLFW_INCL_DIR := /rel/third_party/glfw/glfw-2.7.4/include
+GLFW_INCL_DIR := /rel/third_party/glfw/current/include
 # The directory containing libglfw
-GLFW_LIB_DIR := /rel/third_party/glfw/glfw-2.7.4/lib/x11
+GLFW_LIB_DIR := /rel/third_party/glfw/current/lib
 GLFW_LIB := -lglfw
 
 # The Doxygen executable
@@ -153,9 +161,14 @@
     -Wl,-rpath,$(HALF_LIB_DIR) -L$(HALF_LIB_DIR) $(HALF_LIB) \
     -Wl,-rpath,$(TBB_LIB_DIR) -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
+ifneq (,$(strip $(CONCURRENT_MALLOC_LIB)))
+ifneq (,$(strip $(CONCURRENT_MALLOC_LIB_DIR)))
+    LIBS_RPATH += -Wl,-rpath,$(CONCURRENT_MALLOC_LIB_DIR) -L$(CONCURRENT_MALLOC_LIB_DIR)
+endif
+endif
 ifdef LINUX
-  LIBS += -lrt
-  LIBS_RPATH += -lrt
+    LIBS += -lrt
+    LIBS_RPATH += -lrt
 endif
 
 INCLUDE_NAMES := \
@@ -180,6 +193,7 @@
     math/Proximity.h \
     math/QuantizedUnitVec.h \
     math/Quat.h \
+    math/Stats.h \
     math/Stencils.h \
     math/Transform.h\
     math/Tuple.h\
@@ -194,6 +208,7 @@
     Platform.h \
     PlatformConfig.h \
     tools/Composite.h \
+    tools/Dense.h \
     tools/Filter.h \
     tools/GridOperators.h \
     tools/GridTransformer.h \
@@ -210,6 +225,7 @@
     tools/ParticlesToLevelSet.h \
     tools/PointAdvect.h \
     tools/PointScatter.h \
+    tools/Statistics.h \
     tools/ValueTransformer.h \
     tools/VolumeToMesh.h \
     tree/InternalNode.h \
@@ -248,6 +264,7 @@
     math/Transform.cc \
     metadata/Metadata.cc \
     metadata/MetaMap.cc \
+    openvdb.cc \
     Platform.cc \
     util/Formats.cc \
     util/Util.cc \
@@ -263,6 +280,7 @@
     unittest/TestCoord.cc \
     unittest/TestCpt.cc \
     unittest/TestCurl.cc \
+    unittest/TestDense.cc \
     unittest/TestDivergence.cc \
     unittest/TestDoubleMetadata.cc \
     unittest/TestExceptions.cc \
@@ -301,6 +319,7 @@
     unittest/TestQuadraticInterp.cc \
     unittest/TestQuantizedUnitVec.cc \
     unittest/TestQuat.cc \
+    unittest/TestStats.cc \
     unittest/TestStream.cc \
     unittest/TestStringMetadata.cc \
     unittest/TestTools.cc \
@@ -383,34 +402,4 @@
     ifeq (yes,$(strip $(rpath)))
         LIBOPENVDB_RPATH := -Wl,-rpath,$(PWD)
     else
-        LIBOPENVDB_RPATH :=
-    endif # rpath
-endif # shared
-
-DEPEND := dependencies
-
-# Get the list of dependencies that are newer than the current target,
-# but limit the list to at most three entries.
-list_deps = $(if $(wordlist 4,5,$(?F)),$(firstword $(?F)) and others,$(wordlist 1,3,$(?F)))
-
-ALL_TARGETS := \
-    $(LIBOPENVDB) \
-    vdb_test \
-    vdb_print \
-    vdb_view \
-    $(DEPEND) \
-    $(LIBOPENVDB_NAME).so \
-#
-
-.SUFFIXES: .o .cc
-
-.PHONY: all clean depend doc install lib pdfdoc test
-
-.cc.o:
-	@echo "Building $@ because of $(call list_deps)"
-	$(CXX) -c $(CXXFLAGS) -fPIC -o $@ $<
-
-all: lib vdb_print vdb_test depend
-
-$(OBJ_NAMES): %.o: %.cc
-	@echo "Building $@ because of $(call list_deps)"
+        LIBOPENVDB_RPATH := -Wl,-rpath,$(INSTALL_DIR)/lib

=== debian/changelog ===
openvdb (1.1.1-1tanglu1) staging; urgency=low

  * Backport fix715427.patch from openvdb 2.0.0-2.

 -- Jon Severinsson <jon@severinsson.net>  Mon, 03 Feb 2014 22:00:00 +0100

openvdb (1.1.1-1) unstable; urgency=low

  * New upstream. Need libjemalloc-dev as depends
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 May 2013 21:17:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev
+Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev, libcppunit-dev, libglfw-dev, libjemalloc-dev
 Build-Depends-Indep: doxygen-latex, graphviz
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 # No tests for now (too long to run):
 override_dh_auto_test-arch:
+	dh_auto_test || true
 
 override_dh_auto_build-indep:
 	$(MAKE) doc
